# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "sss-transfer-hook"
version = "1.0.0"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Solana Stablecoin Standard - Transfer Hook for blacklist enforcement on Token-2022 transfers"
homepage = "https://stablecoinstandard.dev"
readme = "README.md"
keywords = [
    "solana",
    "stablecoin",
    "transfer-hook",
    "token-2022",
    "spl",
]
categories = ["cryptography::cryptocurrencies"]
license = "Apache-2.0"
repository = "https://github.com/solanabr/solana-stablecoin-standard"

[features]
cpi = ["no-entrypoint"]
default = []
idl-build = [
    "anchor-lang/idl-build",
    "anchor-spl/idl-build",
]
no-entrypoint = []
no-idl = []
no-log-ix-name = []

[lib]
name = "sss_transfer_hook"
crate-type = [
    "cdylib",
    "lib",
]
path = "src/lib.rs"

[dependencies.anchor-lang]
version = "0.31.1"

[dependencies.anchor-spl]
version = "0.31.1"
features = ["token_2022"]

[dependencies.solana-security-txt]
version = "1.1.1"

[dependencies.spl-tlv-account-resolution]
version = "0.9"

[dependencies.spl-token-2022]
version = "6"
features = ["no-entrypoint"]

[dependencies.spl-transfer-hook-interface]
version = "0.9"
